Anonymous Login
2019-06-24 06:44 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001391Third-party ModulesHolidayspublic2014-06-13 20:08
Reportermcandell 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001391: Module Holiday is not working since 3.0 migration
DescriptionAfter migrating from 2.4 to 3.0 the Holiday module is not working anymore, with the following error :

Fatal error: Call to a member function getLibraryClass() on a non-object in /var/www/web2project/modules/holiday/holiday_settings.php on line 4
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003023

sasquatch58 (reporter)

Last edited: 2013-11-14 12:46

Try this version holiday.tgz
I have it running fine under V3 with no errors in the logs.
There is a problem with holiday visibility in the w2p calendar. Display of holidays used to work in earlier versions (2.31) but not in 2.4 or 3.0.
Cheers, Sasquatch

~0003029

mcandell (reporter)

Thanks a lot Sasquatch for all your help !
Regards, Marco

~0003468

caseydk (administrator)

Resolved in latest development:
https://github.com/eureka2/web2project-holiday
+Notes

-Issue History
Date Modified Username Field Change
2013-11-13 02:33 mcandell New Issue
2013-11-13 02:33 mcandell File Added: Holiday_error.png
2013-11-14 12:45 sasquatch58 Note Added: 0003023
2013-11-14 12:46 sasquatch58 File Added: holiday.tgz
2013-11-14 12:46 sasquatch58 Note Edited: 0003023
2013-11-19 08:12 mcandell Note Added: 0003029
2013-11-21 14:04 caseydk Project v3.0 Release => Third-party Modules
2013-11-22 10:30 caseydk Category -- none specified -- => Holiday
2014-04-05 17:47 caseydk Category General => Holidays
2014-06-13 20:08 caseydk Note Added: 0003468
2014-06-13 20:08 caseydk Status new => resolved
2014-06-13 20:08 caseydk Resolution open => fixed
2014-06-13 20:08 caseydk Assigned To => caseydk
+Issue History